vbi_sliced Struct Reference
Raw VBI » Sliced VBI data

This structure holds one scan line of sliced vbi data. More...

`#include <sliced.h>`

## Data Fields

uint32_t | id
uint32_t | line
uint8_t | data [56]

## Detailed Description

This structure holds one scan line of sliced vbi data.

For example the contents of NTSC line 21, two bytes of Closed Caption data. Usually an array of vbi_sliced is used, covering all VBI lines of the two fields of a video frame.

Examples
  examples/network.c, examples/pdc1.c, examples/pdc2.c, examples/rawout.c, and examples/wss.c.

## Field Documentation

## id

uint32_t vbi_sliced::id

A VBI_SLICED_ symbol identifying the data service. Under cirumstances (see VBI_SLICED_TELETEXT_B) this can be a set of VBI_SLICED_ symbols.

Referenced by vbi_decode(), vbi_idl_demux_feed_frame(), vbi_pfc_demux_feed_frame(), and vbi_xds_demux_feed_frame().

## line

uint32_t vbi_sliced::line

Source line number according to the ITU-R line numbering scheme, a value of `0` if the exact line number is unknown. Note that some data services cannot be reliable decoded without line number.

ITU-R PAL/SECAM line numbering scheme
ITU-R NTSC line numbering scheme

Referenced by vbi_decode(), and vbi_xds_demux_feed_frame().

## data

uint8_t vbi_sliced::data[56]

The actual payload. See the documentation of VBI_SLICED_ symbols for details.

Referenced by vbi_decode(), vbi_idl_demux_feed_frame(), vbi_pfc_demux_feed_frame(), and vbi_xds_demux_feed_frame().